/[gentoo-x86]/eclass/autotools.eclass
Gentoo

Diff of /eclass/autotools.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.124 Revision 1.125
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.124 2012/03/20 15:32:02 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.125 2012/03/21 03:27:47 vapier Exp $
4 4
5# @ECLASS: autotools.eclass 5# @ECLASS: autotools.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# base-system@gentoo.org 7# base-system@gentoo.org
8# @BLURB: Regenerates auto* build scripts 8# @BLURB: Regenerates auto* build scripts
35 35
36# @ECLASS-VARIABLE: _LATEST_AUTOMAKE 36# @ECLASS-VARIABLE: _LATEST_AUTOMAKE
37# @INTERNAL 37# @INTERNAL
38# @DESCRIPTION: 38# @DESCRIPTION:
39# CONSTANT! 39# CONSTANT!
40# The latest major version/slot of automake available on each arch. 40# The latest major version/slot of automake available on each arch. #312315
41# If a newer version is stable on any arch, and is NOT reflected in this list, 41# If a newer version is stable on any arch, and is NOT reflected in this list,
42# then circular dependencies may arise during emerge @system bootstraps. 42# then circular dependencies may arise during emerge @system bootstraps.
43# If you want to force a newer minor version, you can specify the correct
44# WANT value by using a colon: <PV>[:<WANT_AUTOMAKE>]
43# Do NOT change this variable in your ebuilds! 45# Do NOT change this variable in your ebuilds!
44_LATEST_AUTOMAKE='1.11' 46_LATEST_AUTOMAKE=( 1.11.1:1.11 )
45 47
46_automake_atom="sys-devel/automake" 48_automake_atom="sys-devel/automake"
47_autoconf_atom="sys-devel/autoconf" 49_autoconf_atom="sys-devel/autoconf"
48if [[ -n ${WANT_AUTOMAKE} ]]; then 50if [[ -n ${WANT_AUTOMAKE} ]]; then
49 case ${WANT_AUTOMAKE} in 51 case ${WANT_AUTOMAKE} in
50 none) _automake_atom="" ;; # some packages don't require automake at all 52 none) _automake_atom="" ;; # some packages don't require automake at all
51 # if you change the "latest" version here, change also autotools_run_tool 53 # if you change the "latest" version here, change also autotools_run_tool
52 # this MUST reflect the latest stable major version for each arch! 54 # this MUST reflect the latest stable major version for each arch!
53 latest) _automake_atom="|| ( `printf '=sys-devel/automake-%s* ' ${_LATEST_AUTOMAKE}` )" ;; 55 latest) _automake_atom="|| ( `printf '=sys-devel/automake-%s* ' ${_LATEST_AUTOMAKE[@]/%:*}` )" ;;
54 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;; 56 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;;
55 esac 57 esac
56 export WANT_AUTOMAKE 58 export WANT_AUTOMAKE
57fi 59fi
58 60
343autotools_env_setup() { 345autotools_env_setup() {
344 # We do the "latest" → version switch here because it solves 346 # We do the "latest" → version switch here because it solves
345 # possible order problems, see bug #270010 as an example. 347 # possible order problems, see bug #270010 as an example.
346 if [[ ${WANT_AUTOMAKE} == "latest" ]]; then 348 if [[ ${WANT_AUTOMAKE} == "latest" ]]; then
347 local pv 349 local pv
348 for pv in ${_LATEST_AUTOMAKE} ; do 350 for pv in ${_LATEST_AUTOMAKE[@]/#*:} ; do
349 # has_version respects ROOT, but in this case, we don't want it to, 351 # has_version respects ROOT, but in this case, we don't want it to,
350 # thus "ROOT=/" prefix: 352 # thus "ROOT=/" prefix:
351 ROOT=/ has_version "=sys-devel/automake-${pv}*" && export WANT_AUTOMAKE="$pv" 353 ROOT=/ has_version "=sys-devel/automake-${pv}*" && export WANT_AUTOMAKE="${pv}"
352 done 354 done
353 [[ ${WANT_AUTOMAKE} == "latest" ]] && \ 355 [[ ${WANT_AUTOMAKE} == "latest" ]] && \
354 die "Cannot find the latest automake! Tried ${_LATEST_AUTOMAKE}" 356 die "Cannot find the latest automake! Tried ${_LATEST_AUTOMAKE}"
355 fi 357 fi
356 [[ ${WANT_AUTOCONF} == "latest" ]] && export WANT_AUTOCONF=2.5 358 [[ ${WANT_AUTOCONF} == "latest" ]] && export WANT_AUTOCONF=2.5

Legend:
Removed from v.1.124  
changed lines
  Added in v.1.125

  ViewVC Help
Powered by ViewVC 1.1.20